Bug Hunting Session
Bug 56325 - PIVOTTABLE from Datasource (Base, Query) has no value (regression)
Summary: PIVOTTABLE from Datasource (Base, Query) has no value (regression)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.1 rc
Hardware: Other Windows (All)
: medium major
Assignee: Kohei Yoshida
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords: regression
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-10-23 14:55 UTC by Nicolas R
Modified: 2012-11-16 09:00 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test files (73.33 KB, application/zip)
2012-10-23 14:55 UTC, Nicolas R
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas R 2012-10-23 14:55:23 UTC
Created attachment 68954 [details]
Test files

With the attachments "nba2012.zip"

- register database nba2012.odb with name "nba2012"

- open nba2012.ods spreadsheet. It contains links with nba2012 datasource.

- "sheet1" contains a database range. You can refresh it with no problem.

- "Pivot Table_Sheet1_1" contains a pivot table linked with table "coaches" in datasource nba2012. You can edit layout for this pivot table, or create a new one linked with datasource ... but this pivot table will always be empty , except for page fields where dropdown lists has values.

I've tested with other existing pivot table linked with a postgresql datesource. It's the same thing :
- works perfectly in 3.6.2
- always empty pivot table in 3.6.3 rc1 ( and also in 3.6.4.0 dev from 10-23-2012).

So I think it's a regression ( it's a blocker for me, but I let you estimate severity).
Comment 1 Alex Thurgood 2012-10-24 20:13:29 UTC
Well it appears to work properly in Version 3.6.1.2 (Build ID: e29a214), I will have to try later with a more recent version.


Alex
Comment 2 Nicolas R 2012-10-25 06:52:00 UTC
(In reply to comment #1)
> Well it appears to work properly in Version 3.6.1.2 (Build ID: e29a214), I
> will have to try later with a more recent version.
> 
> 
> Alex

Yes, it's ok with 3.6.1 and 3.6.2. The problem appears with 3.6.3 RC1 and 3.6.4 dev (tested Win 7 Pro 64 bits).

So I think it's a regression.
Comment 3 Nicolas R 2012-10-25 07:01:05 UTC
Added
Comment 4 Nicolas R 2012-10-25 07:03:39 UTC
(In reply to comment #3)
> Added
Mistake in previous comment....

Added Kohei Yoshida to CC list, because he seems the right expert for pivot table ( I've seen his name in previous pivottable bug report).

Also added this bug to Bug 44446 : 3.6 most annoying bugs.
Comment 5 pierre-yves samyn 2012-10-28 07:46:59 UTC
Hello 

I reproduce, and also with the following steps:

1. File> New> Spreadsheet (same with an existing one)
2. Data> Pivot table> Create
3. Data source registered in LOdev > Ok
4. Database: Bibliography, Data source: biblio, Type: Sheet > Ok
5. Layout: Row Fields - Publisher, Data Fields - Identifier (ccount function)
6. Ok  

Expected result: table pilot with 10 rows, 2 columns
Actual result: no data

Platform: Version 3.6.4.0+ (Build ID: b1f308d) & Windows 7 64bits

Was Ok with Version 3.6.2.2 (Build ID: da8c1e6) so I confirm the regression

Regards
Pierre-Yves
Comment 6 Kohei Yoshida 2012-10-30 23:00:33 UTC
Yeah I can reproduce it on master.  I'll take this.
Comment 7 Not Assigned 2012-10-31 00:50:46 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acfdd93f31ae59bb688c27d2fd57e1940a6b9370

fdo#56325: Don't forget to build_tree() in fillTable().



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-10-31 08:09:03 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be49b70ece78665335cd24d69bee2b93d00997a0&g=libreoffice-3-6

fdo#56325: Don't forget to build_tree() in fillTable().


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Kohei Yoshida 2012-10-31 13:09:55 UTC
I'll call this fixed.
Comment 10 Nicolas R 2012-10-31 15:59:28 UTC
(In reply to comment #9)
> I'll call this fixed.

Tested and ok with Version 3.6.4.0+ (Build ID: be49b70) ( nightly build on 10/31/2012).

I'll call this good job ;) 

Thanks
Comment 11 Roman Eisele 2012-11-02 09:16:07 UTC
(In reply to comment #10)
> Tested and ok with Version 3.6.4.0+ (Build ID: be49b70) (nightly build on
> 10/31/2012).

@ Nicolas R (and other QA volunteers):
Just a hint:
If you have successfully verified that a bug in Status RESOLVED/FIXED is *really* fixed, you are invited to change the Status of that bug from RESOLVED/FIXED to VERIFIED/FIXED ;-) This is not necessary, but recommended (cf. bug 50100).

Thank you!
Comment 12 tim 2012-11-14 14:34:29 UTC
Not a happy bunny.  Spent quite a bit of time on 3.6.1 before this got fixed in 3.6.2.  LO kept asking me to upgrade to 3.6.3, so eventually I did, after looking at the annoying bug list.  Maybe I missed it but I saw nothing obvious about all pivots based on external (Base) datasources failing.

It's now all gone wrong again.  To a humble user this isn't "a good job".
Comment 13 Kohei Yoshida 2012-11-14 14:36:46 UTC
(In reply to comment #12)
> Not a happy bunny.  Spent quite a bit of time on 3.6.1 before this got fixed
> in 3.6.2.  LO kept asking me to upgrade to 3.6.3, so eventually I did, after
> looking at the annoying bug list.  Maybe I missed it but I saw nothing
> obvious about all pivots based on external (Base) datasources failing.

It's fixed in 3.6.4 as several earlier comments indicate.
Comment 14 tim 2012-11-15 15:54:09 UTC
With apologies to people who are, I'm sure working hard on this stuff, I still have some qualms.

What is the likelihood that it will now stabilise in 3.6.4 and future releases?  Having been round a loop of:

- spending quite a lot of time on 3.6.0
- spent some time on 3.6.1 (in which it was initially meant to be fixed but wasn't)
- then getting 3.6.2 which worked (albeit with a few subtle data format changes which threw me for a while)
- then 3.6.3 which failed again

is this facility something that few use and therefore doesn't get tested much?  I'm now nervous about pursuing a path of taking most final LO releases.
Comment 15 Kohei Yoshida 2012-11-15 16:02:24 UTC
Tim,

This bug report is not the proper channel for such discussion, and I'm certainly not qualified to answer your question.  Please raise your question on the QA mailing list.

http://lists.freedesktop.org/mailman/listinfo/libreoffice-qa
Comment 16 Kohei Yoshida 2012-11-15 16:18:44 UTC
(In reply to comment #14)

> is this facility something that few use and therefore doesn't get tested
> much?  I'm now nervous about pursuing a path of taking most final LO
> releases.

Having said that I can answer this part.

The answer is yes.  Also this one is hard to add automated test case for (for technical reasons), so we rely on manual testing which also includes user's involvements on pre-release testing.

So, if you are only testing the release builds, then it's more likely to get missed unless it's a highly used feature.  We do our best to prevent regressions but we can never be perfect.
Comment 17 Kohei Yoshida 2012-11-15 16:26:53 UTC
(In reply to comment #16)
> (In reply to comment #14)
> 
> > is this facility something that few use and therefore doesn't get tested
> > much?  I'm now nervous about pursuing a path of taking most final LO
> > releases.
> 
> Having said that I can answer this part.
> 
> The answer is yes.  Also this one is hard to add automated test case for

To clarify, "this one" refers to pivot table with database data source.  Pivot table with sheet data source are automatically tested and quite robust.  Though I don't think we'll go through another round of changes for the database data source at least for the 3.6.x line.  So once it's all good in 3.6.4 I'd say we are safe in the later releases of 3.6.x.
Comment 18 tim 2012-11-16 09:00:39 UTC
Kohei

OK - Thanks very much for your comments.

With apologies for asking questions here rather than in the QA system.